Name:		perl-Net-HL7
Version:	0.81
Release:	4%{?dist}
Summary:	Simple perl API for HL7 messages
License:	Beerware and (GPL+ or Artistic)
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Net-HL7/
Source0:	http://www.cpan.org/authors/id/D/DD/DDOKTER/Net-HL7-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	perl
BuildRequires:	perl(base)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(Config)
BuildRequires:	perl(Errno)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(IO::Socket)
BuildRequires:	perl(IO::Socket::INET)
BuildRequires:	perl(IO::Socket::Timeout)
BuildRequires:	perl(Sys::Hostname)
BuildRequires:	perl(Test::More)
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	coreutils

Requires:	perl(Sys::Hostname)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Net-HL7 package is a simple Perl API for creating, parsing, sending and
receiving HL7 messages.

%prep
%setup -q -n Net-HL7-%{version}
find . -type f -executable -exec chmod -x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -delete

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGES README
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%{perl_vendorlib}/*
%{_mandir}/man3/Net::HL7*.3pm*

%changelog
* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.81-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.81-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Sep 17 2015 Bill Pemberton <wfp5p@worldbroken.com> - 0.81-2
- update the BuildRequires
- update the files section to get everything

* Thu Sep 17 2015 Bill Pemberton <wfp5p@worldbroken.com> - 0.81-1
- Initial version
